Core - Bug # 56909

Status: Closed Priority: Must have
Author: Norbert Sendetzky Category: Extbase
Created: 2014-03-14 Assigned To:

Updated: 2014-07-27 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Tx_Extbase_Ultility_Extension not found in 6.2.0-beta6

Description

Hi all

| get the following error when trying to install the Arcavias extension in a fresh TYPO3 6.2.0-beta6 installation:

PHP Fatal error: Class 'Tx_Extbase_Utility Extension' not found in

.../arcavias/ext_localconf.php

The problem seems to be that the class aliases in typo3/sysext/extbase/Migrations/Code/ClassAliasMap.php for translating
Tx_Extbase_Utility Extension into TYPO3WCMS\\Extbase\\Utility\\ExtensionUtility are not available when trying to install an extension

in the extension manager.

Best regards,

Norbert

Related issues:

related to Core - Bug # 54906: Fatal error: Interface 'Psr\Log\Loggerinterfac...

Resolved

2014-03-12 2014-03-12

History

#1 - 2014-03-14 15:01 - Norbert Sendetzky
- Project changed from Extbase MVC Framework to Core

- Category changed from Extbase to Extbase

#2 - 2014-03-15 14:08 - Tomita Militaru

Did you try to add in LocalConfiguration in the array extListArray the extension extbase & fluid?

#3 - 2014-03-15 20:48 - Wouter Wolters

- Status changed from New to Needs Feedback
- Target version deleted (6.2.0)

- Is Regression set to No

- TYPO3 Version set to 6.2

This is a known bug. You can test with http:/forge.typo3.org/issues/54906

Make sure after applying the patch to clear typo3temp/Cache
http://forge.typo3.org/issues/54906

#4 - 2014-03-23 14:05 - Norbert Sendetzky

Problem is fixed in 6.2.0rc1

#5 - 2014-07-27 10:29 - Helmut Hummel
- Status changed from Needs Feedback to Closed

Thanks for the feedback. Will close this now.
